System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

The values are used when retrieving the value found in a using or the of the object.

The informs you what version of a exists. Versions change under the following circumstances:

After calling the object's method, if you change the value, the Current and Proposed values become available.

After calling the object's method, the Proposed value is deleted.

After calling the object's method, the Proposed value becomes the Current value.

After calling the object's method, the Original value becomes identical to the Current value.

After calling the object's method, the Original value becomes identical to the Current value.

After calling the object's method, the Proposed value is discarded, and the version becomes Current.

Describes the version of a .

- Field
  System.Data.DataRowVersion To be added

  The row contains current values.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DataRowVersion To be added

  The default version of . For a DataRowState value of Added, Modified or Deleted, the default version is Current. For a value of Detached, the version is Proposed.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DataRowVersion To be added

  The row contains its original values.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DataRowVersion To be added

  The row contains a proposed value.

  1.0.5000.0
  2.0.0.0